Bug 729771 - bash-completion failing for ant
Summary: bash-completion failing for ant
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bash-completion
Version: 15
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 19:07 UTC by Andrew Overholt
Modified: 2011-09-20 02:32 UTC (History)
2 users (show)

Fixed In Version: bash-completion-1.3-5.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-26 19:10:33 UTC


Attachments (Terms of Use)

Description Andrew Overholt 2011-08-10 19:07:19 UTC
If I type "ant -f" and press <Tab> I would expect either all .xml files or maybe all files to be listed as valid completions.  Instead I get:

$ ant -f bash: complete-ant-cmd.pl: command not found...

Fedora 15, x86_64

bash-completion-1.3-4.fc15.noarch
ant-1.8.2-3.fc15.noarch

It doesn't look like I have anything weird in /etc/bash_completion:

$ for f in `ls /etc/bash_completion`; do rpm -qf $f; done
bash-completion-1.3-4.fc15.noarch

Comment 1 Ville Skyttä 2011-08-15 09:58:13 UTC
Thanks for the report.  This change to /etc/bash_completion.d/ant should fix it in new shells, could you try it out?

-have complete-ant-cmd.pl && \
+PATH=$PATH:/sbin:/usr/sbin:/usr/local/sbin type complete-ant-cmd.pl &>/dev/null && \

Comment 2 Andrew Overholt 2011-08-15 13:17:20 UTC
Yes, that gets rid of the error for me.  Thanks!

Comment 3 Fedora Update System 2011-08-15 22:22:59 UTC
bash-completion-1.3-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/bash-completion-1.3-5.fc16

Comment 4 Fedora Update System 2011-08-15 22:24:19 UTC
bash-completion-1.3-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bash-completion-1.3-5.fc15

Comment 5 Fedora Update System 2011-08-15 22:29:45 UTC
bash-completion-1.3-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bash-completion-1.3-5.el6

Comment 6 Fedora Update System 2011-08-15 22:35:57 UTC
bash-completion-1.3-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bash-completion-1.3-5.el5

Comment 7 Fedora Update System 2011-08-16 21:07:43 UTC
Package bash-completion-1.3-5.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing bash-completion-1.3-5.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/bash-completion-1.3-5.el5
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-08-26 19:10:15 UTC
bash-completion-1.3-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-08-28 05:23:01 UTC
bash-completion-1.3-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-09-20 02:30:30 UTC
bash-completion-1.3-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-09-20 02:32:13 UTC
bash-completion-1.3-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.